Subject: [CCAMP] 答复: New Version Notification for draft-ietf-ccamp-wson-yang-25.txt -layer0

From: Zhenghaomian <[email-masked]>
Date: Tue, 2 Jun 2020 10:14:43 +0000

Hi, Tom, 

Thank you for raising the comments, technical response inline...

And to chairs, do you prefer to update the draft now? or handle the issue from Mr. Petch together with IESG review? Personally I prefer to do in latter as there can probably be more comments jumped out:) Just make sure that we are not waiting for each other. 

Best wishes,
Haomian

-----邮件原件-----
发件人: tom petch [mailto:[email-masked]] 
发送时间: 2020年5月19日 19:12
收件人: Zhenghaomian <[email-masked]>; [email-masked]; [email-masked]
主题: Re: New Version Notification for draft-ietf-ccamp-wson-yang-25.txt -layer0

From: CCAMP <[email-masked]> on behalf of Zhenghaomian <[email-masked]>
Sent: 19 May 2020 07:59

Hi, WG & Chairs,

As a follow up of the virtual interim, the authors cleaned up the module & draft by updating the document. Now we believe the draft is ready to progress, please let us know the plan & advices.

BTW, the ietf-layer0-types was updated as well, and can be found at https://tools.ietf.org/html/draft-ietf-ccamp-layer0-types-06. It is suggested to cluster the two works together to proceed.

<tp>
I had a look at layer0 types and see  a number of quirks.

The YANG module references RFC4203, RFC7699, G.694.2 but I do not see them in I-D References or s.1.2
<Haomian> This would be added. 

layer0 has become l0 in many places which looks like 'ten' on my screen.  Short is good in most cases but here, I wonder; I am conflicted about brevity v. legibility
<Haomian> This was proposed and discussed in L1 as well. The decision at this moment should be 'l0-' and 'l1-' for prefix. See https://mailarchive.ietf.org/arch/msg/ccamp/Gj-AKj0U-H8Tc3FiwC4hZlsKGOo/ 

wson-label-step text references teas te-types but not in the YANG; why? te-types has label-step int 32 but so what?
<Haomian> Oops this is good catch. The text would like to say that ietf-te-types specified the label-step, and in this work we specify the wson-label-step. I assume ietf-te-types should not be shown as the reference in YANG, so we will tweak the text in section 2. BTW there has nothing to do with the label-step int32 specifies as 'generic' in ietf-te-types, we will have a 'wson' case when augmenting topology. 

typedef dwdm-n is int16; is the range limited or are all values valid?
typedef cwdm-n ditto
typedef flexi-m ditto
<Haomian> Well, regarding to different band (C-band, L-band, ...) specified in G.694.1, there is different ranges for these parameters. Actually these n/m values can have any value, but the valid minimal and maximal are specified as ROADM capabilities, which is reported in the label-range. 
'
channel-spacing can be alternated' puzzles me.  Alternate is often a bad idea as American and English usage varies but both seem wrong here
<Haomian> I checked the author list and was very lucky to have one native speaker. The proposed changes are as follow: 
OLD
Note that the term 'channel-spacing' can be alternated by the term 'nominal central frequency granularity' defined in clause 7 of ITU-T G.694.1.
NEW
Note that the term 'channel-spacing' can be replaced by the term 'nominal central frequency granularity' defined in clause 7 of ITU-T G.694.1.

identity flexi-slot-width-granularity had a reference and then lost it and then had a reference and then lost it and next?
<Haomian> I did not get this clearly. Are you saying we should add references to the two identities 'flexi-slot-width-granularity' and 'flexi-swg-12p5ghz'? That could be done. 

leaf min-slot-width-factor 
leaf max-slot-width-factor
is a constraint appropriate, such as min < or <= max?
<Haomian> Yes. 

RFC8363 is OSPF-TE which made me wonder if there was an equivalent for other IGP but AFAICT there isn't; is that right?
<Haomian> AFAIK you are right. 

Tom Petch

Thank you.

Best wishes,
Haomian(on behalf of all authors & contributors)

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]]
发送时间: 2020年5月19日 14:45
收件人: Daniel King <[email-masked]>; Aihua Guo <[email-masked]>; Victor Lopezalvarez <[email-masked]>; Zhenghaomian <[email-masked]>; Victor Lopez <[email-masked]>; Young Lee <[email-masked]>
主题: New Version Notification for draft-ietf-ccamp-wson-yang-25.txt

A new version of I-D, draft-ietf-ccamp-wson-yang-25.txt has been successfully submitted by Haomian Zheng and posted to the IETF repository.

Name:           draft-ietf-ccamp-wson-yang
Revision:       25
Title:          A YANG Data Model for WSON (Wavelength Switched Optical Networks)
Document date:  2020-05-19
Group:          ccamp
Pages:          60
URL:            https://www.ietf.org/internet-drafts/draft-ietf-ccamp-wson-yang-25.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-ccamp-wson-yang/
Htmlized:       https://tools.ietf.org/html/draft-ietf-ccamp-wson-yang-25
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-ccamp-wson-yang
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-wson-yang-25

Abstract:
   This document provides a YANG data model for the routing and
   wavelength assignment (RWA) TE topology in wavelength switched
   optical networks (WSONs).  The YANG data model defined in this
   document conforms to the Network Management Datastore Architecture
   (NMDA).

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

_______________________________________________
CCAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ccamp

---

From: tom petch <[email-masked]>
Date: Tue, 2 Jun 2020 11:04:47 +0000

From: Zhenghaomian <[email-masked]>
Sent: 02 June 2020 11:14

<tp>

Waiting a bit is fine with me, in fact I think it preferably - my comments are not show stoppers.  The only debatable one is the change from layer0 to l0 but suspect that I am in the rough here.

Tom Petch

Best wishes,
Haomian

-----邮件原件-----
发件人: tom petch [mailto:[email-masked]]
发送时间: 2020年5月19日 19:12

Hi, WG & Chairs,

<tp>

Tom Petch

Thank you.

Best wishes,

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]]
发送时间: 2020年5月19日 14:45
收件人: Daniel King <[email-masked]>; Aihua Guo <[email-masked]>; Victor Lopezalvarez <[email-masked]>; Zhenghaomian <[email-masked]>; Victor Lopez <[email-masked]>; Young Lee <[email-masked]>
主题: New Version Notification for draft-ietf-ccamp-wson-yang-25.txt

Abstract:

The IETF Secretariat

---

From: Daniele Ceccarelli <[email-masked]>
Date: Wed, 3 Jun 2020 15:01:55 +0000

Hi Haomian,

It's ok to have them addressed together within the next rounds of review.

Thanks,
Daniele  

-----Original Message-----
From: Zhenghaomian <[email-masked]> 
Sent: den 2 juni 2020 12:15
To: tom petch <[email-masked]>; [email-masked]; [email-masked]
Subject: 答复: New Version Notification for draft-ietf-ccamp-wson-yang-25.txt -layer0

Hi, Tom, 

Best wishes,
Haomian

-----邮件原件-----
发件人: tom petch [mailto:[email-masked]]
发送时间: 2020年5月19日 19:12
收件人: Zhenghaomian <[email-masked]>; [email-masked]; [email-masked]
主题: Re: New Version Notification for draft-ietf-ccamp-wson-yang-25.txt -layer0

Hi, WG & Chairs,

<tp>

The YANG module references RFC4203, RFC7699, G.694.2 but I do not see them in I-D References or s.1.2 <Haomian> This would be added. 

layer0 has become l0 in many places which looks like 'ten' on my screen.  Short is good in most cases but here, I wonder; I am conflicted about brevity v. legibility <Haomian> This was proposed and discussed in L1 as well. The decision at this moment should be 'l0-' and 'l1-' for prefix. See https://mailarchive.ietf.org/arch/msg/ccamp/Gj-AKj0U-H8Tc3FiwC4hZlsKGOo/ 

channel-spacing can be alternated' puzzles me.  Alternate is often a bad idea as American and English usage varies but both seem wrong here <Haomian> I checked the author list and was very lucky to have one native speaker. The proposed changes are as follow: 

Tom Petch

Thank you.

Best wishes,

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]]
发送时间: 2020年5月19日 14:45
收件人: Daniel King <[email-masked]>; Aihua Guo <[email-masked]>; Victor Lopezalvarez <[email-masked]>; Zhenghaomian <[email-masked]>; Victor Lopez <[email-masked]>; Young Lee <[email-masked]>
主题: New Version Notification for draft-ietf-ccamp-wson-yang-25.txt

Abstract:

The IETF Secretariat